BCA_Lib

- Main Page
- Classes
- Files

- File List
- File Members

All Classes Files Functions Pages
Functions
AntCallbackInterface.h File Reference
`#include "BCA_Lib.h"`

Go to the source code of this file.

## Functions
BCA_LIB_API void * | BCA_OpenDevice (unsigned char device_no=0)
| ANTデバイスのオープン
BCA_LIB_API int | BCA_Init (void *antDevice)
| ANTデバイスの初期化
BCA_LIB_API void | BCA_RegisterSendFunc (void *antDevice, void(*func)(void *context, unsigned char channel, void *cookie), void *cookie)
| 送信コールバック関数登録.
BCA_LIB_API void | BCA_RegisterReceiveFunc (void *antDevice, void(*func)(void *context, unsigned char channel, unsigned char event, void *data, unsigned int length, void *cookie), void *cookie)
| 受信コールバック関数登録.
BCA_LIB_API void | BCA_RegisterEventFunc (void *antDevice, void(*func)(void *context, unsigned char channel, unsigned char event, void *data, void *cookie), void *cookie)
| イベントコールバック関数登録.
BCA_LIB_API int | BCA_OpenChannel (void *antDevice, unsigned char channel_no, unsigned char channel_type, unsigned char shared, unsigned short device_no, unsigned char device_type, unsigned char trans_type, unsigned char freq, double hz)
| チャンネルのオープン
BCA_LIB_API int | BCA_CloseChannel (void *antDevice, unsigned char channel_no)
| チャンネルのクローズ
BCA_LIB_API int | BCA_SendData (void *antDevice, unsigned char channel_no, void *data, unsigned int length)
| データ送信
BCA_LIB_API int | BCA_SendAcknowledgedData (void *antDevice, unsigned char channel_no, void *data, unsigned int length)
| データ送信
BCA_LIB_API int | BCA_SendBurstTransfer (void *antDevice, unsigned char channel_no, void *data, unsigned int length)
| データ送信
BCA_LIB_API int | BCA_Reset (void *antDevice)
| ANTデバイスのリセット
BCA_LIB_API int | BCA_CloseDevice (void *antDevice)
| ANTデバイスのクローズ.
BCA_LIB_API int | BCA_SetTransmitPower (void *antDevice, unsigned char power)
| 送信出力設定
BCA_LIB_API int | BCA_SetChannelTxPower (void *antDevice, unsigned char channel_no, unsigned char power)
| チャンネル送信出力設定
BCA_LIB_API void | BCA_RegisterPairingFunc (void *antDevice, void(*func)(void *context, int *devicelist, unsigned char count, void *cookie), void *cookie)
| ペアリングコールバック関数登録.
BCA_LIB_API int | BCA_StartPairing (void *antDevice, int freq, double hz, int search_sec)
| ペアリング処理の開始
BCA_LIB_API int | BCA_StopPairing (void *antDevice)
| ペアリング処理の中止
BCA_LIB_API int | BCA_GetPairingDeviceInfo (void *antDevice, unsigned char index, int *device_no, int *device_type, int *trans_type)
| ペアリング処理でのデバイス検索結果のデバイス情報を取得

## Detailed Description

Callback I/F

## Function Documentation

BCA_LIB_API int BCA_CloseChannel | ( | void * | antDevice,
|  | unsigned char | channel_no
| ) |  |

チャンネルのクローズ

Parameters:

  antDevice | ANTデバイスのコンテキスト
  channel_no | チャンネルNo

Returns:
  BCA_OK:成功
  BCA_E_DEVICE_ERROR:コンテキスト不正
  BCA_E_INVALID_CHANNEL_NO:チャンネルNoが不正

BCA_LIB_API int BCA_CloseDevice | ( | void * | antDevice | ) |

ANTデバイスのクローズ.

この関数を実行後は引数に指定したANTデバイスのコンテキストは使用できなくなります。

Parameters:

  antDevice | ANTデバイスのコンテキスト

Returns:
  BCA_OK:成功
  BCA_OK未満:エラー
  BCA_E_DEVICE_ERROR:コンテキスト不正

BCA_LIB_API int BCA_GetPairingDeviceInfo | ( | void * | antDevice,
|  | unsigned char | index,
|  | int * | device_no,
|  | int * | device_type,
|  | int * | trans_type
| ) |  |

ペアリング処理でのデバイス検索結果のデバイス情報を取得

Parameters:

  antDevice | ANTデバイスのコンテキスト
  index | デバイス情報のインデックス
  device_no | デバイスNo
  device_type | デバイスタイプ
  trans_type | 送信タイプ

Returns:
  BCA_OK:成功
  BCA_E_DEVICE_ERROR:コンテキスト不正
  BCA_E_INDEX_OUT_OF_RANGE:見つかったデバイスのインデックス範囲外
  BCA_E_INVALID_PARAM:引数が有効でない

BCA_LIB_API int BCA_Init | ( | void * | antDevice | ) |

ANTデバイスの初期化

Parameters:

  antDevice | ANTデバイスのコンテキスト

Returns:
  BCA_OK:成功
  BCA_E_DEVICE_ERROR:ANTデバイスの初期化に失敗しました。

BCA_LIB_API int BCA_OpenChannel | ( | void * | antDevice,
|  | unsigned char | channel_no,
|  | unsigned char | channel_type,
|  | unsigned char | shared,
|  | unsigned short | device_no,
|  | unsigned char | device_type,
|  | unsigned char | trans_type,
|  | unsigned char | freq,
|  | double | hz
| ) |  |

チャンネルのオープン

Parameters:

  antDevice | ANTデバイスのコンテキスト
  channel_no | チャンネルNo
  channel_type | チャンネルタイプ BCA_CHANNEL_TYPE_MASTER:送信側(Master) BCA_CHANNEL_TYPE_SLAVE:受信側(Slave)
  shared | 共有チャンネル BCA_CHANNEL_NOSHARED:共有チャンネル指定なし BCA_CHANNEL_SHARED:共有チャンネル指定
  device_no | デバイスNo
  device_type | デバイスタイプ
  trans_type | トランスミッションタイプ
  freq | 周波数
  hz | 送受信間隔

Returns:
  BCA_OK:成功
  BCA_E_DEVICE_ERROR:コンテキスト不正
  BCA_E_ALREADY_USE_CHANNEL_NO:チャンネルNoは使用中
  BCA_E_INVALID_CHANNEL_NO:チャンネルNoが不正
  BCA_E_INVALID_CHANNEL_TYPE:チャンネルタイプが不正
  BCA_E_INVALID_SHARED_TYPE:共有タイプが不正
  BCA_E_INVALID_DEVICE_NO:デバイスNoが不正
  BCA_E_INVALID_DEVICE_TYPE:デバイスタイプが不正
  BCA_E_INVALID_TRANS_TYPE:トランスミッションタイプが不正
  BCA_E_INVALID_FREQUENCY:周波数が不正
  BCA_E_INVALID_PERIOD:送受信間隔が不正
  BCA_E_INVALID_HZ:送受信間隔が不正
  BCA_E_CHANNEL_OPEN_ERROR:チャンネルのオープンに失敗

BCA_LIB_API void* BCA_OpenDevice | ( | unsigned char | device_no | ) |

ANTデバイスのオープン

Parameters:

  device_no | 認識しているANTデバイスの連番

Returns:
  ANTデバイスのコンテキスト　失敗した場合にはNULLが返ります。

BCA_LIB_API void BCA_RegisterEventFunc | ( | void * | antDevice,
|  | void(*)(void *context, unsigned char channel, unsigned char event, void *data, void *cookie) | func,
|  | void * | cookie
| ) |  |

イベントコールバック関数登録.

イベントを受信した時に実行される関数を登録します。

Parameters:

  antDevice | ANTデバイスのコンテキスト
  func | イベント受信時に実行される関数ポインタ
  context | コールバック関数に戻されるANTデバイスのコンテキスト
  channel | 受信チャンネルNo
  event | イベントID 受信データのイベントの種類
  data | データポインタ
  length | データの長さ(8)
  cookie | コールバック関数実行時に渡す値

BCA_LIB_API void BCA_RegisterPairingFunc | ( | void * | antDevice,
|  | void(*)(void *context, int *devicelist, unsigned char count, void *cookie) | func,
|  | void * | cookie
| ) |  |

ペアリングコールバック関数登録.

ペアリング処理時(BCA_StartPairing()関数)に実行される関数を登録します。

Parameters:

  antDevice | ANTデバイスのコンテキスト
  func | デバイス一覧を取得後に実行される関数ポインタ
  context | コールバック関数に戻されるANTデバイスのコンテキスト
  devicelist | デバイスNoの配列
  count | 見つかったデバイスNoの数
  cookie | コールバック関数実行時に渡す値

BCA_LIB_API void BCA_RegisterReceiveFunc | ( | void * | antDevice,
|  | void(*)(void *context, unsigned char channel, unsigned char event, void *data, unsigned int length, void *cookie) | func,
|  | void * | cookie
| ) |  |

受信コールバック関数登録.

データ受信時に実行される関数を登録します。

Parameters:

  antDevice | ANTデバイスのコンテキスト
  func | データ受信時に実行される関数ポインタ
  context | コールバック関数に戻されるANTデバイスのコンテキスト
  channel | 受信チャンネルNo
  event | イベントID 受信データのイベントの種類
  data | データポインタ
  length | データの長さ(8)
  cookie | コールバック関数実行時に渡す値

BCA_LIB_API void BCA_RegisterSendFunc | ( | void * | antDevice,
|  | void(*)(void *context, unsigned char channel, void *cookie) | func,
|  | void * | cookie
| ) |  |

送信コールバック関数登録.

データ送信時に実行される関数を登録します。

Parameters:

  antDevice | ANTデバイスのコンテキスト
  func | データ送信時に実行される関数ポインタ
  context | コールバック関数に戻されるANTデバイスのコンテキスト
  channel | 送信チャンネルNo
  cookie | コールバック関数実行時に渡す値

BCA_LIB_API int BCA_Reset | ( | void * | antDevice | ) |

ANTデバイスのリセット

Parameters:

  antDevice | ANTデバイスのコンテキスト

Returns:
  BCA_OK:成功
  BCA_OK未満:エラー
  BCA_E_DEVICE_ERROR:コンテキスト不正

BCA_LIB_API int BCA_SendAcknowledgedData | ( | void * | antDevice,
|  | unsigned char | channel_no,
|  | void * | data,
|  | unsigned int | length
| ) |  |

データ送信

データの送信を行います。送信できるデータは8バイト(固定)です。

Parameters:

  antDevice | ANTデバイスのコンテキスト
  channel_no | チャンネルNo
  data | データポインタ
  length | データの長さ(8)

Returns:
  BCA_OK:成功
  BCA_OK未満:エラー BCA_E_DEVICE_ERROR:コンテキスト不正
  BCA_E_INVALID_CHANNEL_NO:チャンネルNo不正
  BCA_E_INVALID_DATA:データポインタ不正
  BCA_E_INVALID_DATA_LENGTH:データの長さ不正

BCA_LIB_API int BCA_SendBurstTransfer | ( | void * | antDevice,
|  | unsigned char | channel_no,
|  | void * | data,
|  | unsigned int | length
| ) |  |

データ送信

データの送信を行います。送信できるデータは8バイト(固定)です。

Parameters:

  antDevice | ANTデバイスのコンテキスト
  channel_no | チャンネルNo
  data | データポインタ
  length | データの長さ(8)

Returns:
  BCA_OK:成功
  BCA_OK未満:エラー BCA_E_DEVICE_ERROR:コンテキスト不正
  BCA_E_INVALID_CHANNEL_NO:チャンネルNo不正
  BCA_E_INVALID_DATA:データポインタ不正
  BCA_E_INVALID_DATA_LENGTH:データの長さ不正

BCA_LIB_API int BCA_SendData | ( | void * | antDevice,
|  | unsigned char | channel_no,
|  | void * | data,
|  | unsigned int | length
| ) |  |

データ送信

データの送信を行います。送信できるデータは8バイト(固定)です。

Parameters:

  antDevice | ANTデバイスのコンテキスト
  channel_no | チャンネルNo
  data | データポインタ
  length | データの長さ(8)

Returns:
  BCA_OK:成功
  BCA_OK未満:エラー BCA_E_DEVICE_ERROR:コンテキスト不正
  BCA_E_INVALID_CHANNEL_NO:チャンネルNo不正
  BCA_E_INVALID_DATA:データポインタ不正
  BCA_E_INVALID_DATA_LENGTH:データの長さ不正

BCA_LIB_API int BCA_SetChannelTxPower | ( | void * | antDevice,
|  | unsigned char | channel_no,
|  | unsigned char | power
| ) |  |

チャンネル送信出力設定

チャンネル送信出力設定を行います。

Parameters:

  antDevice | ANTデバイスのコンテキスト
  channel_no | チャンネルNo(0-7)
  power | 送信出力(dBm) 0:-20dBm 1:-10dBm 2:-5dBm 3:0dBm

Returns:
  BCA_OK:成功
  BCA_OK未満:エラー
  BCA_E_DEVICE_ERROR:コンテキスト不正
  BCA_E_INVALID_CHANNEL_NO:チャンネルNoが不正
  BCA_E_INVALID_PARAM:送信出力不正

BCA_LIB_API int BCA_SetTransmitPower | ( | void * | antDevice,
|  | unsigned char | power
| ) |  |

送信出力設定

送信出力設定を行います。

Parameters:

  antDevice | ANTデバイスのコンテキスト
  power | 送信出力(dBm) 0:-20dBm 1:-10dBm 2:-5dBm 3:0dBm

Returns:
  BCA_OK:成功
  BCA_OK未満:エラー
  BCA_E_DEVICE_ERROR:コンテキスト不正
  BCA_E_INVALID_PARAM:送信出力不正

BCA_LIB_API int BCA_StartPairing | ( | void * | antDevice,
|  | int | freq,
|  | double | hz,
|  | int | search_sec
| ) |  |

ペアリング処理の開始

Parameters:

  antDevice | ANTデバイスのコンテキスト
  freq | 周波数
  hz | 送受信間隔 (0.5～32678)
  search_sec | デバイス検索時間(秒)

Returns:
  BCA_OK:成功
  BCA_OK未満:エラー
  BCA_E_DEVICE_ERROR:コンテキスト不正
  BCA_E_PAIRING_ERROR:ペアリング処理中
  BCA_E_INVALID_FREQUENCY:周波数不正
  BCA_E_INVALID_HZ:送受信間隔不正
  BCA_E_INVALID_SERACH_TIME:デバイス検索時間不正

BCA_LIB_API int BCA_StopPairing | ( | void * | antDevice | ) |

ペアリング処理の中止

Parameters:

  antDevice | ANTデバイスのコンテキスト

Returns:
  BCA_OK:成功
  BCA_E_DEVICE_ERROR:コンテキスト不正
  BCA_E_PAIRING_ERROR:ペアリング処理中でない